set CMSDK_QDEC_BASE           0x4000c000
set CMSDK_QDEC_SETUP_FOR_AXIS_0 [expr $CMSDK_QDEC_BASE + 0x0]
set CMSDK_QDEC_ACCUM_PURGE_STATUS_FOR_AXIS_0 [expr $CMSDK_QDEC_BASE + 0x4]
set CMSDK_QDEC_ACCUMULATOR_VALUE_FOR_AXIS_0 [expr $CMSDK_QDEC_BASE + 0x8]
set CMSDK_QDEC_ERR_PURGE_STATUS_FOR_AXIS_0 [expr $CMSDK_QDEC_BASE + 0xc]
set CMSDK_QDEC_ERROR_COUNT_FOR_AXIS_0 [expr $CMSDK_QDEC_BASE + 0x10]
set CMSDK_QDEC_SETUP_FOR_AXIS_1 [expr $CMSDK_QDEC_BASE + 0x14]
set CMSDK_QDEC_ACCUM_PURGE_STATUS_FOR_AXIS_1 [expr $CMSDK_QDEC_BASE + 0x18]
set CMSDK_QDEC_ACCUMULATOR_VALUE_FOR_AXIS_1 [expr $CMSDK_QDEC_BASE + 0x1c]
set CMSDK_QDEC_ERR_PURGE_STATUS_FOR_AXIS_1 [expr $CMSDK_QDEC_BASE + 0x20]
set CMSDK_QDEC_ERROR_COUNT_FOR_AXIS_1 [expr $CMSDK_QDEC_BASE + 0x24]
set CMSDK_QDEC_SETUP_FOR_AXIS_2 [expr $CMSDK_QDEC_BASE + 0x28]
set CMSDK_QDEC_ACCUM_PURGE_STATUS_FOR_AXIS_2 [expr $CMSDK_QDEC_BASE + 0x2c]
set CMSDK_QDEC_ACCUMULATOR_VALUE_FOR_AXIS_2 [expr $CMSDK_QDEC_BASE + 0x30]
set CMSDK_QDEC_ERR_PURGE_STATUS_FOR_AXIS_2 [expr $CMSDK_QDEC_BASE + 0x34]
set CMSDK_QDEC_ERROR_COUNT_FOR_AXIS_2 [expr $CMSDK_QDEC_BASE + 0x38]
set CMSDK_QDEC_CORE_ID [expr $CMSDK_QDEC_BASE + 0xffc]
